using System;


namespace ConsoleApp2
{
    class Program
    {

        static void Main(string[] args)
        {
            string[] niz = Console.ReadLine().Split();
            int n = int.Parse(niz[0]);
            int k = int.Parse(niz[1]);
            int[] a = new int[n];
            int i = 0, j = 0, sum = 0, i1 = 0,sum1=0;
            niz = Console.ReadLine().Split();
            for (i=0;i<n;i++)
            {
                a[i] = int.Parse(niz[i]);
            }
            if (k < 1)
            {
                for (i = 0; i < n; i++)
                {
                    sum += a[i];
                }
            }
            else
                for (i1 = 0; i1 < k; i1++)
                {
                    for(i=0;i<n;i++)
                    {
                        sum1 += a[i];
                        sum += sum1;
                        for(j=i+1;j<n;j++)
                        {
                            sum1 += a[j];
                            sum += sum1;
                        }
                        sum1 = 0;
                    }
                }
            Console.WriteLine(sum);
        }
    }
}